Skip to main content
POST
TypeScript

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

keyId
string
required

The unique identifier for the validation key provided by Fireblocks

Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

Response

Revoked validation key data

keyId
string
required

External validation key id set by Fireblocks.

Required string length: 36
Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

publicKeyPem
string
required

PEM encoded public key used for the validation.

Example:

"-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----"

daysTillExpired
number
required
Required range: x >= 1
Example:

365

enabled
boolean
required

True if the validation key is enabled.

Example:

false

createdAt
number
required

Creation date (timestamp) in milliseconds.

Example:

12345633

expirationTime
number
required

Expiration date (Unix timestamp) in milliseconds.

Example:

17098568

revoked
boolean
default:false
required

True if the validation key is revoked.

Example:

false